'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _joiBrowser = require('joi-browser');

var _joiBrowser2 = _interopRequireDefault(_joiBrowser);

var _validationRules = require('../validationRules');

var _validationRules2 = _interopRequireDefault(_validationRules);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @file Exposes validation schemas for Controller interface
 * @author Ivan Violentov <ivan.violentov@jibrel.network>
 */

var controllerMethodKeys = _joiBrowser2.default.object().keys((0, _extends3.default)({}, _validationRules.generalContractKeys, {
  privateKey: _validationRules2.default.privateKey.required(),
  account: _validationRules2.default.address.required(),
  value: _validationRules2.default.value.required(),
  gasLimit: _validationRules2.default.gasLimit,
  gasPrice: _validationRules2.default.gasPrice,
  nonce: _validationRules2.default.nonce
}));

var mint = controllerMethodKeys;
var burn = controllerMethodKeys;

exports.default = { mint: mint, burn: burn };